//////////////////////////////// -*- C++ -*- //////////////////////////////
//
// FILE NAME
//    PhiGrid3D.hh
//
// AUTHOR
//    Y. Sato, A. Shishlo
//
// CREATED
//    06/09/2003
//
// DESCRIPTION
//    The subclass of Grid3D class to handle
//    adding boundary potential
//
///////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////
//
// INCLUDE FILES
//
///////////////////////////////////////////////////////////////////////////

#ifndef PHI_GRID3D_HH
#define PHI_GRID3D_HH

#include "Grid3D.hh"
using namespace std;

class PhiGrid3D : public Grid3D
{
public:
  //--------------------------------------
  //the public methods of the PhiGrid3D class
  //--------------------------------------
  
  PhiGrid3D(int nZ, EP_Boundary* boundaryIn);
  virtual ~PhiGrid3D();

  //add the boundary potential to the existing one
  void addBoundaryPotential();

};
#endif
///////////////////////////////////////////////////////////////////////////
//
// END OF FILE
//
///////////////////////////////////////////////////////////////////////////
